import React, { Component } from 'react';
import { WebView, View, StyleSheet,Platform } from 'react-native';
import renderChart from './renderChart';
import echarts from './echarts.min';

const source = (Platform.OS === 'ios') ? require('./tpl.html') : {'uri':'file:///android_asset/tpl.html'}


export default class App extends Component {
    componentWillReceiveProps(nextProps) {
        this.refs.chart.injectJavaScript(renderChart(nextProps,false));
    }

    render() {
        console.log('patch','replace echarts');
        return (
            <View style={{flex: 1, height: this.props.height || 400,}}>
    <WebView
        ref="chart"
        scrollEnabled = {false}
        injectedJavaScript = {renderChart(this.props)}
        style={{
            height: this.props.height || 400,
                backgroundColor: this.props.backgroundColor || 'transparent'
        }}
        scalesPageToFit={Platform.OS === 'ios'?false:true}
        source={source}
        onMessage={event => this.props.onPress ? this.props.onPress(JSON.parse(event.nativeEvent.data)) : null}
    />
    </View>
    );
    }
}
